package cn.com.infosec.asn1;

import java.io.IOException;

public class BERSequenceParser implements ASN1SequenceParser {
   private ASN1StreamParser _parser;

   BERSequenceParser(ASN1StreamParser parser) {
      this._parser = parser;
   }

   public DEREncodable readObject() {
      return this._parser.readObject();
   }

   public DERObject getDERObject() {
      try {
         return new BERSequence(this._parser.readVector());
      } catch (IOException var1) {
         throw new IllegalStateException(var1.getMessage());
      }
   }
}
